--
-- Fendt vario 700 series
-- Specialization class for Fendt 700 series
-- @Authors of original scripts used: Manuel Leithner (SFM-Modding),Modelleicher (www.schwabenmodding.bplaced.net),Templaer, JoXXer, Knagsted, Mofa-Killer, Face, Heady, other do not remember!!
-- @author  Ago-Systemtech
-- @date  20/09/2012
-- Copyright (C) Ago-Systemtech, All Rights Reserved.

Vario700serieV2 = {};
function Vario700serieV2.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;
function Vario700serieV2:load(xmlFile)
	self.quadroOFF = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.quadroOFF#index"));
	end;
	
end;

function Vario700serieV2:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
    return BaseMission.VEHICLE_LOAD_OK;
end;
function Vario700serieV2:updateTick(dt)
    if self:getIsActive() then
		if self.isMotorStarted then
			setVisibility(self.quadroOFF, true);
		else
		    setVisibility(self.quadroOFF, false);
		end;
end;



function Vario700serieV2:onEnter()
        if self.isMotorStarted then
			setVisibility(self.quadroOFF, true);
		else
		    setVisibility(self.quadroOFF, false);
		end
end;
function Vario700serieV2:onLeave()
	    if self.isMotorStarted then
			setVisibility(self.quadroOFF, true);
		else
			setVisibility(self.quadroOFF, false);
	     end
end;